Package com.enonic.xp.media

## Class MediaInfo

- java.lang.Object
- - com.enonic.xp.media.MediaInfo

-     @PublicApi
      public final class MediaInfo
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MediaInfo.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CAMERA_INFO` |
    `static XDataName` | `CAMERA_INFO_METADATA_NAME` |
    `static String` | `GPS_INFO` |
    `static String` | `GPS_INFO_GEO_POINT` |
    `static XDataName` | `GPS_INFO_METADATA_NAME` |
    `static String` | `IMAGE_INFO` |
    `static String` | `IMAGE_INFO_IMAGE_HEIGHT` |
    `static String` | `IMAGE_INFO_IMAGE_WIDTH` |
    `static XDataName` | `IMAGE_INFO_METADATA_NAME` |
    `static String` | `IMAGE_INFO_PIXEL_SIZE` |
    `static String` | `MEDIA_INFO_BYTE_SIZE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MediaInfo.Builder` | `create()` |
    `String` | `getMediaType()` |
    `ImmutableMultimap<String,​String>` | `getMetadata()` |
    `String` | `getTextContent()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CAMERA_INFO

          public static final String CAMERA_INFO

      See Also:
        Constant Field Values

    - #### GPS_INFO

          public static final String GPS_INFO

      See Also:
        Constant Field Values

    - #### IMAGE_INFO

          public static final String IMAGE_INFO

      See Also:
        Constant Field Values

    - #### IMAGE_INFO_METADATA_NAME

          public static final XDataName IMAGE_INFO_METADATA_NAME

    - #### CAMERA_INFO_METADATA_NAME

          public static final XDataName CAMERA_INFO_METADATA_NAME

    - #### GPS_INFO_METADATA_NAME

          public static final XDataName GPS_INFO_METADATA_NAME

    - #### GPS_INFO_GEO_POINT

          public static final String GPS_INFO_GEO_POINT

      See Also:
        Constant Field Values

    - #### IMAGE_INFO_PIXEL_SIZE

          public static final String IMAGE_INFO_PIXEL_SIZE

      See Also:
        Constant Field Values

    - #### IMAGE_INFO_IMAGE_HEIGHT

          public static final String IMAGE_INFO_IMAGE_HEIGHT

      See Also:
        Constant Field Values

    - #### IMAGE_INFO_IMAGE_WIDTH

          public static final String IMAGE_INFO_IMAGE_WIDTH

      See Also:
        Constant Field Values

    - #### MEDIA_INFO_BYTE_SIZE

          public static final String MEDIA_INFO_BYTE_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMediaType

          public String getMediaType()

    - #### getTextContent

          public String getTextContent()

    - #### getMetadata

          public ImmutableMultimap<String,​String> getMetadata()

    - #### create

          public static MediaInfo.Builder create()